package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.exam.EClass;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EClassMapper extends TkMapper<EClass> {
    //获取班级基本信息列表
    List<EClass> listByClassIds(@Param("classids") List<Integer> classids);

    //考试班级
    List<Map> listByExamId(@Param("examid") Integer examid);

    //更新考试班级人数
    void updateClassNumByCsId(@Param("ecsid") Integer ecsid);
}